descript=This video shows the Multi-Lift Personal Transfer Lift System with the Speedy-Bar mounting accessory in a Jeep grand Cherokee or Dodge Durango.  Video of the lift system in action is available at  \
http://www.youtube.com/watch?v=Ue-V6vKnqj8\
 and a more detailed video of the Speedy-Bar placement in this same vehicle is available at \
http://www.youtube.com/watch?v=ecM5QsSD-zY and slideshow at \
http://www.accessunlimited.com/download/Multi-Lift/Auto/a-pillar/speedy-bar/chrysler-dodge/durango-grandcherokee/ulthm.htm   \
\
More videos of the Multi-Lift and hundreds of other mobility solutions are available on our extensive YouTube Channel at http://www.youtube.com/accessun  For more information please contact us at http://www.accessunlimited.com/html/contact.html (this is quickest!!) check out our website at http://www.accessunlimited.com, or give us a call at +1-607-669-4822 days US EST or evenings 5-10 pm US EST at +1-607-296-0223.  If you would like to keep up to date with what our company is working on and our philosophy, please "like" us on Facebook at http://www.facebook.com/accessun\

ordering=custom
